Ownership and events
Us Insider Transactions
GET
/
us
/
insider-transactions
Us Insider Transactions
curl --request GET \
--url https://corpus-api.onera.app/us/insider-transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/insider-transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/insider-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"accession_number": "<string>",
"transaction_ordinal": 123,
"issuer_cik": "<string>",
"knowledge_time": "2023-11-07T05:31:56Z",
"issuer_ticker": "<string>",
"reporting_owner_cik": "<string>",
"reporting_owner_name": "<string>",
"officer_title": "<string>",
"is_director": true,
"is_officer": true,
"is_ten_percent_owner": true,
"is_other": true,
"security_title": "<string>",
"transaction_date": "2023-12-25",
"transaction_code": "<string>",
"acquired_disposed": "<string>",
"shares": 123,
"price_per_share": 123,
"shares_owned_after": 123,
"ownership_nature": "<string>",
"is_derivative": false,
"source_id": "sec_edgar"
}
],
"meta": {
"jurisdiction": "US",
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Provisioned Corpus API key with the required jurisdiction and operation scopes.
Query Parameters
Pattern:
^[AD]$Required range:
1 <= x <= 1000Required range:
x >= 0⌘I
Us Insider Transactions
curl --request GET \
--url https://corpus-api.onera.app/us/insider-transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/insider-transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/insider-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"accession_number": "<string>",
"transaction_ordinal": 123,
"issuer_cik": "<string>",
"knowledge_time": "2023-11-07T05:31:56Z",
"issuer_ticker": "<string>",
"reporting_owner_cik": "<string>",
"reporting_owner_name": "<string>",
"officer_title": "<string>",
"is_director": true,
"is_officer": true,
"is_ten_percent_owner": true,
"is_other": true,
"security_title": "<string>",
"transaction_date": "2023-12-25",
"transaction_code": "<string>",
"acquired_disposed": "<string>",
"shares": 123,
"price_per_share": 123,
"shares_owned_after": 123,
"ownership_nature": "<string>",
"is_derivative": false,
"source_id": "sec_edgar"
}
],
"meta": {
"jurisdiction": "US",
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}